## iputils 20020124

=== Makefile ===
# Path to parent kernel include files directory
KERNEL_INCLUDE=/usr/src/linux/include
LIBC_INCLUDE=/usr/include

DEFINES= 

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

ifeq ($(LIBC_INCLUDE)/socketbits.h,$(wildcard $(LIBC_INCLUDE)/socketbits.h))
  ifeq ($(LIBC_INCLUDE)/net/if_packet.h,$(wildcard $(LIBC_INCLUDE)/net/if_packet.h))
    GLIBCFIX=-Iinclude-glibc -include include-glibc/glibc-bugs.h
  endif
endif
ifeq ($(LIBC_INCLUDE)/bits/socket.h,$(wildcard $(LIBC_INCLUDE)/bits/socket.h))
  GLIBCFIX=-Iinclude-glibc -include include-glibc/glibc-bugs.h
endif


#options if you compile with libc5, and without a bind>=4.9.4 libresolv
# NOT AVAILABLE. Please, use libresolv.

CC=gcc
# What a pity, all new gccs are buggy and -Werror does not work. Sigh.
#CCOPT=-D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g -Werror
CCOPT=-D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g
CFLAGS=$(CCOPT) $(GLIBCFIX) -I$(KERNEL_INCLUDE) -I../include $(DEFINES) 

IPV4_TARGETS=tracepath ping arping
IPV6_TARGETS=tracepath6 traceroute6 ping6
TARGETS=$(IPV4_TARGETS) $(IPV6_TARGETS)

all: symlink $(TARGETS)


tftpd: tftpd.o tftpsubs.o
ping: ping.o ping_common.o
ping6: ping6.o ping_common.o
ping.o ping6.o ping_common.o: ping_common.h
tftpd.o tftpsubs.o: tftp.h


symlink:
	ln -sf ../socketbits.h include-glibc/bits/socket.h

check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, set correct KERNEL_INCLUDE"; false; fi
endif

modules: check-kernel
	$(MAKE) KERNEL_INCLUDE=$(KERNEL_INCLUDE) -C Modules

man:
	$(MAKE) -C doc man

html:
	$(MAKE) -C doc html

clean:
	rm -f *.o $(TARGETS)
	$(MAKE) -C Modules clean
	$(MAKE) -C doc clean

install: html
	$(MAKE) -C doc install

snapshot: clean
	@if [ ! -r RELNOTES.xxyyzz ]; then echo "Where are RELNOTES?"; exit 1; fi
	@cp RELNOTES RELNOTES.bak
	@date "+[%y%m%d]" > RELNOTES
	@cat RELNOTES.xxyyzz >> RELNOTES
	@cat RELNOTES.bak >> RELNOTES
	@date "+static char SNAPSHOT[] = \"%y%m%d\";" > SNAPSHOT.h
	@$(MAKE) -C doc snapshot
	@rm -f RELNOTES.xxyyzz RELNOTES.bak

=== Modules/Makefile ===
KERNEL_INCLUDE=/usr/src/linux/include


CC=gcc
CCOPT=-O2 -Wstrict-prototypes -Wall -Werror -fno-strict-aliasing -fno-common
CFLAGS=-DMODULE -D__KERNEL__ -I$(KERNEL_INCLUDE) $(CCOPT)


all: pg3.o

clean:
	rm -f *.o

=== doc/Makefile ===
DOCDIR=/usr/doc/iputils
HTMLFILES=$(subst .sgml,.html,$(shell echo *.sgml))
MANFILES=$(subst .sgml,.8,$(shell echo *.sgml))

all: html

html: $(HTMLFILES) iputils.html index.html

man: $(MANFILES)

# This Makefile is wrong. I still did not find a way to organize
# dependencies right. We have several sources, several output
# files and all the output is produced by a single run of docbook.
# It does not look a rocket science, but I honestly still did not
# guess right combination. 

# docbook scripts are incredibly dirty in the sense that they leak
# lots of some strange temporary junk directories and files.
# So, scope it to a temporary dir and clean all after each run.

$(HTMLFILES) index.html: index.db
	@-rm -rf tmp.db2html
	@mkdir tmp.db2html
	@set -e; cd tmp.db2html; docbook2html ../$< ; mv *.html ..
	@-rm -rf tmp.db2html

iputils.html: iputils.db
	@-rm -rf tmp.db2html
	@mkdir tmp.db2html
	@set -e; cd tmp.db2html; docbook2html -u -o html ../$< ; mv html/$@ ..
	@-rm -rf tmp.db2html

# docbook2man produces utterly ugly output and I didi not find
# any way to customize this but hacking backend perl script a little.
# Well, hence...

$(MANFILES): index.db
	@-mkdir tmp.db2man
	@set -e; cd tmp.db2man; nsgmls ../$< | sgmlspl ../docbook2man-spec.pl ;	mv $@ ..
	@-rm -rf tmp.db2man

clean:
	rm -rf $(MANFILES) $(HTMLFILES) index.html iputils.html tmp.db2html tmp.db2man

snapshot:
	@date "+%y%m%d" > snapshot.db

install: html
	mkdir -p $(DESTDIR)$(DOCDIR)
	install -m 0644 $(HTMLFILES) iputils.html index.html $(DESTDIR)$(DOCDIR)

## iputils 20071127

=== Makefile ===
# Path to parent kernel include files directory
LIBC_INCLUDE=/usr/include

DEFINES= 

#options if you have a bind>=4.9.4 libresolv (or, maybe, glibc)
LDLIBS=-lresolv
ADDLIB=

#options if you compile with libc5, and without a bind>=4.9.4 libresolv
# NOT AVAILABLE. Please, use libresolv.

CC=gcc
# What a pity, all new gccs are buggy and -Werror does not work. Sigh.
#CCOPT=-D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g -Werror
CCOPT=-D_GNU_SOURCE -O2 -Wstrict-prototypes -Wall -g
CFLAGS=$(CCOPT) $(GLIBCFIX) $(DEFINES) 

IPV4_TARGETS=tracepath ping clockdiff rdisc arping tftpd rarpd
IPV6_TARGETS=tracepath6 traceroute6 ping6
TARGETS=$(IPV4_TARGETS) $(IPV6_TARGETS)

LASTTAG:=`git-describe HEAD | sed -e 's/-.*//'`
TAG:=`date +s%Y%m%d`

all: $(TARGETS)


tftpd: tftpd.o tftpsubs.o
ping: ping.o ping_common.o
ping6: ping6.o ping_common.o
ping.o ping6.o ping_common.o: ping_common.h
tftpd.o tftpsubs.o: tftp.h

rdisc_srv: rdisc_srv.o

rdisc_srv.o: rdisc.c
	$(CC) $(CFLAGS) -DRDISC_SERVER -o rdisc_srv.o rdisc.c


check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, set correct KERNEL_INCLUDE"; false; fi
endif

modules: check-kernel
	$(MAKE) KERNEL_INCLUDE=$(KERNEL_INCLUDE) -C Modules

man:
	$(MAKE) -C doc man

html:
	$(MAKE) -C doc html

clean:
	@rm -f *.o $(TARGETS)
	@$(MAKE) -C Modules clean
	@$(MAKE) -C doc clean

snapshot:
	@if [ "`uname -n`" != "beatrice" ]; then echo "Not authorized to advance snapshot"; exit 1; fi
	@date "+[$(TAG)]" > RELNOTES.NEW
	@echo >>RELNOTES.NEW
	@git-log $(LASTTAG).. | git-shortlog >> RELNOTES.NEW
	@echo >> RELNOTES.NEW
	@cat RELNOTES >> RELNOTES.NEW
	@mv RELNOTES.NEW RELNOTES
	@date "+static char SNAPSHOT[] = \"$(TAG)\";" > SNAPSHOT.h
	@$(MAKE) -C doc snapshot
	@$(MAKE) man
	@git-commit -a -m "iputils-$(TAG)"
	@git-tag -s -m "iputils-$(TAG)" $(TAG)
	@git-archive --format=tar --prefix=iputils-$(TAG)/ $(TAG) | bzip2 -9 > ../iputils-$(TAG).tar.bz2

## iputils 20071127-1+lenny1

=== debian/changelog ===
iputils (3:20071127-1+lenny1) stable; urgency=high

  * Fix CVE-2010-2529 - resource consumption triggered by specially
    crafted ICMP echo reply

 -- Noah Meyerhans <noahm@debian.org>  Sat, 24 Jul 2010 09:48:00 -0700

iputils (3:20071127-1) unstable; urgency=low

  * New upstream release.
  * Add Vcs-Browser and Vcs-Svn to debian/control
  * Update to standards version 3.7.3.0
  * Stop ignoring the return value of "make clean" in debian/rules
  * Switch from debrecated Source-Version to binary:Version in
    netkit-ping dependencies.
  * Move debconf compat setting from debian/rules to debian/compat

 -- Noah Meyerhans <noahm@debian.org>  Sun, 09 Dec 2007 22:47:52 -0500

iputils (3:20070202-3) unstable; urgency=low

  * Switch to quilt for managing patches.
  * Back out custom warning for kernels missing CONFIG_FILTER, since
    nobody is going to be missing that these days.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 28 Oct 2007 17:54:30 -0400

iputils (3:20070202-2) unstable; urgency=low

  * Removed Build-Depends on linux-kernel-headers (Closes: #433279)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 16 Jul 2007 09:58:56 -0400

iputils (3:20070202-1) unstable; urgency=low

  * New upstream version (Closes: Bug#285420, Bug#391618, Bug#404199)
  * Fix documentation for tracepath (Closes: Bug#185156)
  * Use alternatives to manage traceroute6 so we can be installed
    alongside ndisc6. Thanks to Rémi Denis-Courmont for the
    patch. (Closes: Bug#380677)    
  * Bump standards version to 3.7.2.2 (no changes needed)
  
 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Apr 2007 18:45:01 -0400

iputils (3:20020927-6) unstable; urgency=medium

  * Fix an error in the previous version that resulted in the offsets in
    cmsgbuf still getting set wrong.  (basically I messed up my order of
    operations and sent pointers flying off into who knows where.  Ooops.)
  * Make sure my .svn directories don't make it into the .diff.gz.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 30 Jan 2007 18:07:02 -0500

iputils (3:20020927-5) unstable; urgency=medium

  * fix typo in debian/control entry for netkit-ping
  * Fix error in pr_type where the index into the ttab2 array was off by
    128.  (Closes: Bug#293985)
  * Fix a bug in ping6.c where the cmsghdr struct associated with a device
    provided via the -I command line flag would clobber any existing
    cmsghdrs in cmsgbuf, which would exist of source routing information
    was provided.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 27 Jan 2007 11:45:34 -0500

iputils (3:20020927-4) unstable; urgency=medium

  * Acknowledge NMU
  * Apply patch from Loïc Minier <lool@dooz.org> to fix arping behavior
    when -w and -c command line flags are given and the target host
    does not reply.  (Closes: Bug#233125)
  * Provide a netkit-ping package so there's a smooth upgrade path for
    people who had the old netkit ping implementation installed.
    (Closes: Bug#384012)
  * Apply patch from Rémi Denis-Courmont <rdenis@simphalempin.com> to
    fix incompatibilities with 2.4 and older 2.6 kernels in ping6 and
    tracepath6.  (Closes: Bug#402121, Bug#397935)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 Dec 2006 17:05:27 -0500

iputils (3:20020927-3.1) unstable; urgency=low

  * NMU
  * Use IPV6_RECVHOPLIMIT instead of IPV6_HOPLIMIT in ping6 to build
    with current kernel headers. Closes: #391601
  * Explicitly build-depend on the current version of linux-kernel-headers
    since older ones don't have IPV6_RECVHOPLIMIT.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Oct 2006 23:48:44 -0400

iputils (3:20020927-3) unstable; urgency=low

  * only requst AF_INET address in ping and tracepath, since these
    tools only deal with IPv4 addresses.  (Closes: Bug#305062)
  * SO_TIMESTAMP is no longer broken on SPARC so its use is no longer
    disabled.  (Closes: Bug#330909)
  * Report all valid ICMP response types in ping (Closes: Bug#186745)
  * Don't print out a bogus and broken statistics line upon exit
    if using -A and pinging an unresponsive host.  (Closes: Bug#180903)
  * Provide a somewhat more descriptive warning if CONFIG_FILTER is
    not supported in the kernel.  This shouldn't matter anymore, since
    it's always enabled on modern kernels.  (Closes: Bug#139151)
  * Use debhelper compat level 4.
  * Move binaries to /usr/bin (Closes: Bug#141799)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Oct 2005 10:54:50 -0400

iputils (3:20020927-2) unstable; urgency=low

  * Build system cleanup.  Stop including anything from /usr/src/linux.
    We still define our own versions of things that should be included
    from /usr/src/sys, and this needs to be fixed, but I will wait until
    post sarge to do so.  (Closes: Bug#223164)
  * Install symlink for tracepath6 man page.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 22 Dec 2003 15:26:54 -0500

iputils (3:20020927-1) unstable; urgency=medium

  * New upstream version.  (Closes: Bug#151980)
  * Changed iputils-ping to Priority: important
  * Changed iputils-tracepath to Priority: optional
  * Added RELNOTES to /usr/share/doc/iputils-* as the upstream changelog.
  * Bumped standards version to 3.5.7.0
  * Changed the sparc kludge (see prev. version's changes) to avoid
    using the SO_TIMESTAMP sockopt, since that seems to be where the 
    problem is.  -U is no longer forced.
  * Fixed '==' typo on line 444 of traceroute6.c.  The patch has been
    sent upstream and will be in future releases.

 -- Noah Meyerhans <noahm@debian.org>  Wed,  2 Oct 2002 23:49:21 -0400

iputils (3:20020124-3) unstable; urgency=medium

  * Added kludge to force -U on ping and ping6 on SPARC, since neither
    program will report correct times at all otherwise.  This will be fixed
    correctly at some point in the future, but possibly not before
    woody's release.  (Closes: Bug#122379)
  * Fixed a printf error in tracepath6.c that caused some slightly
    ugly (non zero-padded) output. (Closes: Bug#141300)


=== debian/control ===
Source: iputils
Section: net
Priority: extra
Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 3.7.3.0
Build-Depends: debhelper (>> 2), sp, sgmlspl, docbook, quilt
Vcs-Svn: svn+https://svn.csail.mit.edu/iputils
Vcs-Browser: https://svn.csail.mit.edu/iputils

Package: iputils-ping
Architecture: any
Provides: ping
Priority: important
Conflicts: ping, suidmanager (<< 0.50)
Depends: ${shlibs:Depends}
Replaces: netbase (<< 4.00)
Description: Tools to test the reachability of network hosts
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.
 .
 This package includes a ping6 utility which supports IPv6 network
 connections.
 
Package: iputils-tracepath
Architecture: any
Suggests: traceroute
Priority: optional
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Replaces: netbase (<< 4.00)
Description: Tools to trace the network path to a remote host
 The tracepath utility is similar to the traceroute utility, but also
 attempts to discover the MTU of the path.
 .
 This package also includes tracepath6 and traceroute6 utilities, which
 may be used on IPv6 networks.

Package: iputils-arping
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50), arping, iputils-ping (<<20001110-6)
Replaces: netbase (<< 4.00)
Description: Tool to send ICMP echo requests to an ARP address
 The arping command acts like the standard ping command except it pings
 a machine by its ARP address instead of its IP address.  It is typically
 used to locate a machine if its hardware address is known but its IP
 address is unknown

Package: netkit-ping
Architecture: any
Section: net
Depends: iputils-ping (>= ${binary:Version})
Description: The ping utility from netkit (transitional package)
 This is a transitional package to migrate existing users of netkit-ping
 to iputils-ping (its successor).  It may be safely removed after upgrading.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

patch: patch-stamp
patch-stamp:
	dh_testdir
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch patch-stamp

unpatch:
	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
	rm -rf .pc patch-stamp

configure: patch
	dh_testdir

build: configure
	dh_testdir

	$(MAKE)
	$(MAKE) -C doc man

clean: unpatch
	dh_testdir
	dh_testroot

	$(MAKE) clean
	dh_clean
	-test -e .pc/applied-patches && quilt pop -a
	test ! -e .pc/applied-patches && rm -rf .pc
	rm -rf .pc

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -piputils-tracepath usr/bin
	dh_installdirs -piputils-ping bin
	dh_installdirs -piputils-arping usr/bin

	install -m 4755 -o root -g root ping debian/iputils-ping/bin/
	install -m 4755 -o root -g root ping6 debian/iputils-ping/bin/
	install -m 4755 -o root -g root traceroute6 \
		debian/iputils-tracepath/usr/bin/traceroute6.iputils
	install -m 0755 -o root -g root tracepath \
		debian/iputils-tracepath/usr/bin/
	install -m 0755 -o root -g root tracepath6 \
		debian/iputils-tracepath/usr/bin/
	install -m 0755 -o root -g root arping debian/iputils-arping/usr/bin/

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs 
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman -piputils-ping
	dh_installman -piputils-tracepath
	mv debian/iputils-tracepath/usr/share/man/man8/traceroute6.8 \
		debian/iputils-tracepath/usr/share/man/man8/traceroute6.iputils.8
	dh_installman -piputils-arping
	dh_installchangelogs 
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	chmod 4755 debian/iputils-ping/bin/ping
	chmod 4755 debian/iputils-ping/bin/ping6
	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
	chmod 4755 debian/iputils-arping/usr/bin/arping
	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch # no binary-indep
.PHONY: build configure clean binary-indep binary-arch binary install

## iputils 20071127-2maemo1

=== debian/changelog ===
iputils (3:20071127-2maemo1) fremantle; urgency=low

  * Initial release for maemo.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Jun 2010 04:16:20 +0300

iputils (3:20071127-2ubuntu1) lucid; urgency=low

  * Fixes typo in tracepath man page (LP: #512227)

 -- arky <rakesh_ambati@yahoo.com>  Wed, 10 Feb 2010 18:33:02 +0530

iputils (3:20071127-2) unstable; urgency=low

  * switch to debhelper 7
  * Add lintian overrides for lintian's warnings about setuid binaries.
  * Add a README.source to document the use of quilt and keep lintian 
    happy.
  * Fix the iputils-arping package description (Thanks Peder Chr.
    Nørgaard <pcn@pogt.dk>) (Closes: #489746)
  * Stop building the netkit-ping transitional package.
  * Add patch from Neil Williams <codehelp@debian.org> to allow
    cross-building (Closes: #451181)
  * Update to standards version 3.8.3.0
  * Use /usr/share/quilt/quilt.make to handle applying/de-applying 
    quilt patches.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 27 Aug 2009 22:41:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: iputils
 Section: net
 Priority: extra
-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 3.7.3.0
-Build-Depends: debhelper (>> 2), sp, sgmlspl, docbook, quilt
+Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>, Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Standards-Version: 3.8.3.0
+Build-Depends: debhelper7, sp, sgmlspl, docbook, quilt
 Vcs-Svn: svn+https://svn.csail.mit.edu/iputils
 Vcs-Browser: https://svn.csail.mit.edu/iputils
 
@@ -40,17 +41,14 @@
 Depends: ${shlibs:Depends}
 Conflicts: suidmanager (<< 0.50), arping, iputils-ping (<<20001110-6)
 Replaces: netbase (<< 4.00)
-Description: Tool to send ICMP echo requests to an ARP address
- The arping command acts like the standard ping command except it pings
- a machine by its ARP address instead of its IP address.  It is typically
- used to locate a machine if its hardware address is known but its IP
- address is unknown
+Description: Tool to send ARP Requests for an IP address
+ The standard ping command sends ICMP Echo Requests to an IP address.
+ To do that on an Ethernet-type link, however, the sending node needs
+ to know the MAC address of the destination, so when standard ping
+ fails, you don't really know whether it is the address resolution or
+ the Echo Request that fails.
+ .
+ The arping command only does the ARP part, so it can be useful after
+ a failed ping in figuring out whether it is the resolution or the
+ ICMP Echo that fails.  It can do other useful things, too.
 
-Package: netkit-ping
-Architecture: any
-Section: net
-Depends: iputils-ping (>= ${binary:Version})
-Description: The ping utility from netkit (transitional package)
- This is a transitional package to migrate existing users of netkit-ping
- to iputils-ping (its successor).  It may be safely removed after upgrading.
-

=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,25 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+#==Added for debhelper 7 backport==
+#==================================
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl
+export SBOX_REDIRECT_IGNORE
+# Changes made to debian/control
+# (debhleper (>=7) -> debhelper7)
+#==================================
 
-patch: patch-stamp
-patch-stamp:
-	dh_testdir
-	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
-	touch patch-stamp
+include /usr/share/quilt/quilt.make
 
-unpatch:
-	QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2
-	rm -rf .pc patch-stamp
+DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+else
+CROSS=
+endif
 
 configure: patch
 	dh_testdir
@@ -22,7 +31,7 @@
 build: configure
 	dh_testdir
 
-	$(MAKE)
+	$(MAKE) $(CROSS)
 	$(MAKE) -C doc man
 
 clean: unpatch
@@ -31,19 +40,16 @@
 
 	$(MAKE) clean
 	dh_clean
-	-test -e .pc/applied-patches && quilt pop -a
-	test ! -e .pc/applied-patches && rm -rf .pc
-	rm -rf .pc
 
 install: DH_OPTIONS=
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs -piputils-tracepath usr/bin
 	dh_installdirs -piputils-ping bin
 	dh_installdirs -piputils-arping usr/bin
-
+	dh_lintian
 	install -m 4755 -o root -g root ping debian/iputils-ping/bin/
 	install -m 4755 -o root -g root ping6 debian/iputils-ping/bin/
 	install -m 4755 -o root -g root traceroute6 \
@@ -96,6 +102,7 @@
 	chmod 4755 debian/iputils-ping/bin/ping6
 	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
 	chmod 4755 debian/iputils-arping/usr/bin/arping
+	mv debian/iputils-ping/bin/ debian/iputils-ping/usr/
 	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
 	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
 	dh_installdeb

## iputils 20071127-2maemo2

=== debian/changelog ===
iputils (3:20071127-2maemo2) fremantle; urgency=low

  * iputils conflicts with maemo, only need ping, so problem 'fixed'

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Jun 2010 04:45:45 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 Package: iputils-ping
 Architecture: any
-Provides: ping
 Priority: important
 Conflicts: ping, suidmanager (<< 0.50)
 Depends: ${shlibs:Depends}
@@ -52,3 +51,17 @@
  a failed ping in figuring out whether it is the resolution or the
  ICMP Echo that fails.  It can do other useful things, too.
 
+Package: ping
+Architecture: any
+Priority: important
+Conflicts: suidmanager (<< 0.50)
+Depends: ${shlibs:Depends}
+Replaces: netbase (<< 4.00)
+Description: Tools to test the reachability of network hosts
+ The ping command sends ICMP ECHO_REQUEST packets to a host in order to
+ test if the host is reachable via the network.
+ .
+ This package includes a ping6 utility which supports IPv6 network
+ connections.
+ .
+ Same package as iputils-ping, but doesn't conflict with busybox.

=== debian/rules ===
--- 
+++ 
@@ -102,9 +102,11 @@
 	chmod 4755 debian/iputils-ping/bin/ping6
 	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
 	chmod 4755 debian/iputils-arping/usr/bin/arping
-	mv debian/iputils-ping/bin/ debian/iputils-ping/usr/
 	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
 	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
+	mkdir -p debian/ping
+	cp -r debian/iputils-ping/* debian/ping/
+	mv debian/ping/bin debian/ping/usr
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## iputils 20100418

=== debian/changelog ===
iputils (3:20100418-3ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #675210), remaining changes:
    - debian/patches/fix-tracepath-doc-typos.diff: Fixes typo in tracepath 
      man page.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sun, 14 Nov 2010 16:46:11 +0100

iputils (3:20100418-3) unstable; urgency=low

  * Apply upstream's fix to a coding error that prevented the broadcast
    address from being set correctly in arping (Closes: 585591)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 23 Jul 2010 21:44:24 -0700

iputils (3:20100418-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable(LP: #609952). Remaining changes:
     + debian/patches/fix-tracepath-doc-typos.diff:
      - Fixes typo in tracepath man page. 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 26 Jul 2010 11:04:47 +0530

iputils (3:20100418-2) unstable; urgency=high

  * Fix CVE-2010-2529 - resource consumption triggered by specially crafted
    ICMP echo reply

 -- Noah Meyerhans <noahm@debian.org>  Fri, 23 Jul 2010 21:30:40 -0700

iputils (3:20100418-1) unstable; urgency=low

  * New upstream release.
  * Provide an iputils-clockdiff package (Closes: #199500)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 07 May 2010 23:58:53 -0700

iputils (3:20100418-1ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #591029)
    + debian/patches/fix-tracepath-doc-typos.diff:
      - Fixes typo in tracepath man page.

 -- Artur Rona <ari-tczew@tlen.pl>  Tue, 08 Jun 2010 01:10:13 +0200

iputils (3:20100214-1) unstable; urgency=low

  * New upstream release.
  * Convert to source format 3.0 (quilt)
  * Update standards version to 3.8.4.0.
  * Switch to debhelper compatibility version 7
  * Remove netkit-ping from debian/control; we don't built it anymore

 -- Noah Meyerhans <noahm@debian.org>  Sun, 04 Apr 2010 00:26:37 -0700

=== debian/control ===
Source: iputils
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 7), sp, sgmlspl, docbook, libsysfs-dev, libssl-dev
Vcs-Svn: svn+https://svn.csail.mit.edu/iputils
Vcs-Browser: https://svn.csail.mit.edu/iputils

Package: iputils-ping
Architecture: any
Provides: ping
Priority: important
Conflicts: ping, suidmanager (<< 0.50)
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netbase (<< 4.00)
Description: Tools to test the reachability of network hosts
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.
 .
 This package includes a ping6 utility which supports IPv6 network
 connections.
 
Package: iputils-tracepath
Architecture: any
Suggests: traceroute
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50)
Replaces: netbase (<< 4.00)
Description: Tools to trace the network path to a remote host
 The tracepath utility is similar to the traceroute utility, but also
 attempts to discover the MTU of the path.
 .
 This package also includes tracepath6 and traceroute6 utilities, which
 may be used on IPv6 networks.

Package: iputils-arping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50), arping, iputils-ping (<<20001110-6)
Replaces: netbase (<< 4.00)
Description: Tool to send ICMP echo requests to an ARP address
 The arping command acts like the standard ping command except it pings
 a machine by its ARP address instead of its IP address.  It is typically
 used to locate a machine if its hardware address is known but its IP
 address is unknown

Package: iputils-clockdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Measure the time difference between networked computers
 Clockdiff computes the difference between the time of the machine on
 which it is called and the time of other network-accessible machines.
 The time differences measured by clockdiff are obtained using a
 sequence of ICMP TSTAMP messages which are returned to the sender by
 the IP module in the remote machine.

## iputils 20101006

=== debian/changelog ===
iputils (3:20101006-1ubuntu1) precise; urgency=low

  * Support cross-building (thanks to Wookey <wookey@wookware.org> and Harry
    Liebel; LP: #872370).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Nov 2011 13:17:14 +0000

iputils (3:20101006-1) unstable; urgency=low

  * New upstream release.
  * Remove patches that are now applied upstream.
  * Update Vcs-* fields in debian/control to point to git repos.
  * Update debian/copyright to include the BSD license text.
  * Override lintian's possible-gpl-code-linked-with-openssl error on
    iputils-ping.  ping6 links against libcrypto and is BSD licensed.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 20 Feb 2011 21:28:54 -0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 3.8.4.0
 Build-Depends: debhelper (>= 7), sp, sgmlspl, docbook, libsysfs-dev, libssl-dev
-Vcs-Svn: svn+https://svn.csail.mit.edu/iputils
-Vcs-Browser: https://svn.csail.mit.edu/iputils
+Vcs-Git: git://git.debian.org/collab-maint/iputils.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/iputils.git;a=summary
 
 Package: iputils-ping
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,27 +5,16 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-#==Added for debhelper 7 backport==
-#==================================
-PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
-export PATH
-SBOX_REDIRECT_IGNORE=/usr/bin/perl
-export SBOX_REDIRECT_IGNORE
-# Changes made to debian/control
-# (debhleper (>=7) -> debhelper7)
-#==================================
 
-include /usr/share/quilt/quilt.make
-
-DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CROSS :=
 else
-CROSS=
+	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-configure: patch
+configure:
 	dh_testdir
 
 build: configure
@@ -34,7 +23,7 @@
 	$(MAKE) $(CROSS)
 	$(MAKE) -C doc man
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 
@@ -49,7 +38,8 @@
 	dh_installdirs -piputils-tracepath usr/bin
 	dh_installdirs -piputils-ping bin
 	dh_installdirs -piputils-arping usr/bin
-	dh_lintian
+	dh_installdirs -piputils-clockdiff usr/bin
+
 	install -m 4755 -o root -g root ping debian/iputils-ping/bin/
 	install -m 4755 -o root -g root ping6 debian/iputils-ping/bin/
 	install -m 4755 -o root -g root traceroute6 \
@@ -59,6 +49,8 @@
 	install -m 0755 -o root -g root tracepath6 \
 		debian/iputils-tracepath/usr/bin/
 	install -m 0755 -o root -g root arping debian/iputils-arping/usr/bin/
+	install -m 0755 -o root -g root clockdiff \
+		debian/iputils-clockdiff/usr/bin/
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -87,12 +79,14 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
+	dh_lintian
 	dh_installcron
 	dh_installman -piputils-ping
 	dh_installman -piputils-tracepath
 	mv debian/iputils-tracepath/usr/share/man/man8/traceroute6.8 \
 		debian/iputils-tracepath/usr/share/man/man8/traceroute6.iputils.8
 	dh_installman -piputils-arping
+	dh_installman -piputils-clockdiff
 	dh_installchangelogs 
 	dh_strip
 	dh_link
@@ -102,11 +96,9 @@
 	chmod 4755 debian/iputils-ping/bin/ping6
 	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
 	chmod 4755 debian/iputils-arping/usr/bin/arping
+	chmod 4755 debian/iputils-clockdiff/usr/bin/clockdiff
 	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
 	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
-	mkdir -p debian/ping
-	cp -r debian/iputils-ping/* debian/ping/
-	mv debian/ping/bin debian/ping/usr
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## iputils 20121221

=== Makefile ===
#
# Configuration
#

# CC
CC=gcc
# Path to parent kernel include files directory
LIBC_INCLUDE=/usr/include
# Libraries
ADDLIB=
# Linker flags
LDFLAG_STATIC=-Wl,-Bstatic
LDFLAG_DYNAMIC=-Wl,-Bdynamic
LDFLAG_CAP=-lcap
LDFLAG_GNUTLS=-lgnutls-openssl
LDFLAG_CRYPTO=-lcrypto
LDFLAG_IDN=-lidn
LDFLAG_RESOLV=-lresolv
LDFLAG_SYSFS=-lsysfs

#
# Options
#

# Capability support (with libcap) [yes|static|no]
USE_CAP=yes
# sysfs support (with libsysfs - deprecated) [no|yes|static]
USE_SYSFS=no
# IDN support (experimental) [no|yes|static]
USE_IDN=no

# Do not use getifaddrs [no|yes|static]
WITHOUT_IFADDRS=no
# arping default device (e.g. eth0) []
ARPING_DEFAULT_DEVICE=

# GNU TLS library for ping6 [yes|no|static]
USE_GNUTLS=yes
# Crypto library for ping6 [shared|static]
USE_CRYPTO=shared
# Resolv library for ping6 [yes|static]
USE_RESOLV=yes
# ping6 source routing (deprecated by RFC5095) [no|yes|RFC3542]
ENABLE_PING6_RTHDR=no

# rdisc server (-r option) support [no|yes]
ENABLE_RDISC_SERVER=no

# -------------------------------------
# What a pity, all new gccs are buggy and -Werror does not work. Sigh.
# CCOPT=-fno-strict-aliasing -Wstrict-prototypes -Wall -Werror -g
CCOPT=-fno-strict-aliasing -Wstrict-prototypes -Wall -g
CCOPTOPT=-O3
GLIBCFIX=-D_GNU_SOURCE
DEFINES=
LDLIB=

FUNC_LIB = $(if $(filter static,$(1)),$(LDFLAG_STATIC) $(2) $(LDFLAG_DYNAMIC),$(2))

# USE_GNUTLS: DEF_GNUTLS, LIB_GNUTLS
# USE_CRYPTO: LIB_CRYPTO
ifneq ($(USE_GNUTLS),no)
	LIB_CRYPTO = $(call FUNC_LIB,$(USE_GNUTLS),$(LDFLAG_GNUTLS))
	DEF_CRYPTO = -DUSE_GNUTLS
else
	LIB_CRYPTO = $(call FUNC_LIB,$(USE_CRYPTO),$(LDFLAG_CRYPTO))
endif

# USE_RESOLV: LIB_RESOLV
LIB_RESOLV = $(call FUNC_LIB,$(USE_RESOLV),$(LDFLAG_RESOLV))

# USE_CAP:  DEF_CAP, LIB_CAP
ifneq ($(USE_CAP),no)
	DEF_CAP = -DCAPABILITIES
	LIB_CAP = $(call FUNC_LIB,$(USE_CAP),$(LDFLAG_CAP))
endif

# USE_SYSFS: DEF_SYSFS, LIB_SYSFS
ifneq ($(USE_SYSFS),no)
	DEF_SYSFS = -DUSE_SYSFS
	LIB_SYSFS = $(call FUNC_LIB,$(USE_SYSFS),$(LDFLAG_SYSFS))
endif

# USE_IDN: DEF_IDN, LIB_IDN
ifneq ($(USE_IDN),no)
	DEF_IDN = -DUSE_IDN
	LIB_IDN = $(call FUNC_LIB,$(USE_IDN),$(LDFLAG_IDN))
endif

# WITHOUT_IFADDRS: DEF_WITHOUT_IFADDRS
ifneq ($(WITHOUT_IFADDRS),no)
	DEF_WITHOUT_IFADDRS = -DWITHOUT_IFADDRS
endif

# ENABLE_RDISC_SERVER: DEF_ENABLE_RDISC_SERVER
ifneq ($(ENABLE_RDISC_SERVER),no)
	DEF_ENABLE_RDISC_SERVER = -DRDISC_SERVER
endif

# ENABLE_PING6_RTHDR: DEF_ENABLE_PING6_RTHDR
ifneq ($(ENABLE_PING6_RTHDR),no)
	DEF_ENABLE_PING6_RTHDR = -DPING6_ENABLE_RTHDR
ifeq ($(ENABLE_PING6_RTHDR),RFC3542)
	DEF_ENABLE_PING6_RTHDR += -DPINR6_ENABLE_RTHDR_RFC3542
endif
endif

# -------------------------------------
IPV4_TARGETS=tracepath ping clockdiff rdisc arping tftpd rarpd
IPV6_TARGETS=tracepath6 traceroute6 ping6
TARGETS=$(IPV4_TARGETS) $(IPV6_TARGETS)

CFLAGS=$(CCOPTOPT) $(CCOPT) $(GLIBCFIX) $(DEFINES)
LDLIBS=$(LDLIB) $(ADDLIB)

UNAME_N:=$(shell uname -n)
LASTTAG:=$(shell git describe HEAD | sed -e 's/-.*//')
TODAY=$(shell date +%Y/%m/%d)
DATE=$(shell date --date $(TODAY) +%Y%m%d)
TAG:=$(shell date --date=$(TODAY) +s%Y%m%d)


# -------------------------------------
.PHONY: all ninfod clean distclean man html check-kernel modules snapshot

all: $(TARGETS)

%.s: %.c
	$(COMPILE.c) $< $(DEF_$(patsubst %.o,%,$@)) -S -o $@
%.o: %.c
	$(COMPILE.c) $< $(DEF_$(patsubst %.o,%,$@)) -o $@
$(TARGETS): %: %.o
	$(LINK.o) $^ $(LIB_$@) $(LDLIBS) -o $@

# -------------------------------------
# arping
DEF_arping = $(DEF_SYSFS) $(DEF_CAP) $(DEF_IDN) $(DEF_WITHOUT_IFADDRS)
LIB_arping = $(LIB_SYSFS) $(LIB_CAP) $(LIB_IDN)

ifneq ($(ARPING_DEFAULT_DEVICE),)
DEF_arping += -DDEFAULT_DEVICE=\"$(ARPING_DEFAULT_DEVICE)\"
endif

# clockdiff
DEF_clockdiff = $(DEF_CAP)
LIB_clockdiff = $(LIB_CAP)

# ping / ping6
DEF_ping_common = $(DEF_CAP) $(DEF_IDN)
DEF_ping  = $(DEF_CAP) $(DEF_IDN) $(DEF_WITHOUT_IFADDRS)
LIB_ping  = $(LIB_CAP) $(LIB_IDN)
DEF_ping6 = $(DEF_CAP) $(DEF_IDN) $(DEF_WITHOUT_IFADDRS) $(DEF_ENABLE_PING6_RTHDR)
LIB_ping6 = $(LIB_CAP) $(LIB_IDN) $(LIB_RESOLV) $(LIB_CRYPTO)

ping: ping_common.o
ping6: ping_common.o
ping.o ping_common.o: ping_common.h
ping6.o: ping_common.h in6_flowlabel.h

# rarpd
DEF_rarpd =
LIB_rarpd =

# rdisc
DEF_rdisc = $(DEF_ENABLE_RDISC_SERVER)
LIB_rdisc =

# tracepath
DEF_tracepath = $(DEF_IDN)
LIB_tracepath = $(LIB_IDN)

# tracepath6
DEF_tracepath6 = $(DEF_IDN)
LIB_tracepath6 =

# traceroute6
DEF_traceroute6 = $(DEF_CAP) $(DEF_IDN)
LIB_traceroute6 = $(LIB_CAP) $(LIB_IDN)

# tftpd
DEF_tftpd =
DEF_tftpsubs =
LIB_tftpd =

tftpd: tftpsubs.o
tftpd.o tftpsubs.o: tftp.h

# -------------------------------------
# ninfod
ninfod:
	@set -e; \
		if [ ! -f ninfod/Makefile ]; then \
			cd ninfod; \
			./configure; \
			cd ..; \
		fi; \
		$(MAKE) -C ninfod

# -------------------------------------
# modules / check-kernel are only for ancient kernels; obsolete
check-kernel:
ifeq ($(KERNEL_INCLUDE),)
	@echo "Please, set correct KERNEL_INCLUDE"; false
else
	@set -e; \
	if [ ! -r $(KERNEL_INCLUDE)/linux/autoconf.h ]; then \
		echo "Please, set correct KERNEL_INCLUDE"; false; fi
endif

modules: check-kernel
	$(MAKE) KERNEL_INCLUDE=$(KERNEL_INCLUDE) -C Modules

# -------------------------------------
man:
	$(MAKE) -C doc man

html:
	$(MAKE) -C doc html

clean:
	@rm -f *.o $(TARGETS)
	@$(MAKE) -C Modules clean
	@$(MAKE) -C doc clean
	@set -e; \
		if [ -f ninfod/Makefile ]; then \
			$(MAKE) -C ninfod clean; \
		fi

distclean: clean
	@set -e; \
		if [ -f ninfod/Makefile ]; then \
			$(MAKE) -C ninfod distclean; \
		fi

# -------------------------------------
snapshot:
	@if [ x"$(UNAME_N)" != x"pleiades" ]; then echo "Not authorized to advance snapshot"; exit 1; fi
	@echo "[$(TAG)]" > RELNOTES.NEW
	@echo >>RELNOTES.NEW
	@git log --no-merges $(LASTTAG).. | git shortlog >> RELNOTES.NEW
	@echo >> RELNOTES.NEW
	@cat RELNOTES >> RELNOTES.NEW
	@mv RELNOTES.NEW RELNOTES
	@sed -e "s/^%define ssdate .*/%define ssdate $(DATE)/" iputils.spec > iputils.spec.tmp
	@mv iputils.spec.tmp iputils.spec
	@echo "static char SNAPSHOT[] = \"$(TAG)\";" > SNAPSHOT.h
	@$(MAKE) -C doc snapshot
	@$(MAKE) man
	@git commit -a -m "iputils-$(TAG)"
	@git tag -s -m "iputils-$(TAG)" $(TAG)
	@git archive --format=tar --prefix=iputils-$(TAG)/ $(TAG) | bzip2 -9 > ../iputils-$(TAG).tar.bz2

=== debian/changelog ===
iputils (3:20121221-5+linuxmint1) unstable; urgency=low

  * Don't rely on capabilities, modified postinst scripts to use setuid (capabilities aren't supported in live fs)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Mar 2015 10:42:00 +0000

iputils (3:20121221-5) unstable; urgency=low

  * Improve management of capabilities.
  * Set capabilities on all binaries.
  * Invalidate ping's DNS cache when a response comes from a new host
    (e.g.  when processing an error message) (Closes: 732186, 736470)
  * Bump standards version to 3.9.5 (no changes)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 01 Feb 2014 13:15:39 -0800

iputils (3:20121221-4) unstable; urgency=low

  * Cache DNS lookup results. (Closes: 109709)
  * Move the dependency on libcap2-bin to a Recommends instead, to avoid
    depending on a lower priority package.
  * Fix a typo in flood ping output. (Closes: 698287)
  * arping: When using -c, exit immediately if the specified number of
    queries are answered. (Closes: 686944)
  * Fix return hops counting in tracepath and tracepath6. (Closes: 629075)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Dec 2013 23:54:51 -0800

iputils (3:20121221-3) unstable; urgency=low

  * Add build-depends on libgnutls-openssl-dev (Closes: 731561)
  * Fix arping and ping postinst scripts to better handle cases
    where capabilities aren't supported. (Closes: 731764)
  * Update debian/copyright to reflect the removal of the advertising
    clause from the UC Berkeley copyright statements. (Closes: 725470)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 09 Dec 2013 08:14:40 -0800

iputils (3:20121221-2) unstable; urgency=low

  * Silence erroneous "kernel is not very fresh" warnings. (Closes: 709052)
  * Cherry pick revision 608419a7 from upstream for traceroute 
    max-hops options
  * Cherry pick revision cec404067 from upstream for tracepath, tracepath6 
    minor bugfixes
  * Enable the CAP_NET_RAW capability and strip the setuid bit on ping and
    ping6 binaries if possible.
  * Bump standards version to 3.9.4.0 (No changes needed.)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 08 Dec 2013 17:47:52 -0800

iputils (3:20121221-1) unstable; urgency=low

  * New upstream version
  * Replace libsysfs-dev with libcap-dev in build-deps (Closes: 627650, 609853)
  * Replace libssl-dev with gnutls-dev in build-deps
  * Remove obsolete debian/patches/fix-dead-host-ping-stats.diff
  * Remove obsolete debian/patches/add-icmp-return-codes.diff
  * Remove obsolete patch cleanup-docbook-formatting.diff
  * Remove obsolete patch fix_rfc4620_nodeinfo_queries

 -- Noah Meyerhans <noahm@debian.org>  Tue, 14 May 2013 23:59:05 -0700

iputils (3:20101006-3) unstable; urgency=low

  * Fix CFLAGS, which never actually propagated from debian/rules
    to the compiler in the previous release (Closes: 656023)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 29 Aug 2012 10:17:28 -0700

iputils (3:20101006-2) unstable; urgency=low

  * Fix RFC 4620 node info queries in ping6 (Closes: 683324)
  * Fix regression in ping* causing audible notifications to always
    be enabled when flood pinging (Closes: 601147)
  * Flush stdout when processing truncated ping* replies 
    (Closes: 628893)
  * Use dpkg-buildflags to set build flags.
  * Add build-arch and build-indep rules in debian/rules
  * Bump standards compliance to 3.9.3.1

 -- Noah Meyerhans <noahm@debian.org>  Sun, 19 Aug 2012 21:31:38 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: iputils
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 3.8.4.0
-Build-Depends: debhelper (>= 7), sp, sgmlspl, docbook, libsysfs-dev, libssl-dev
+Maintainer: Noah Meyerhans <noahm@debian.org>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7), sp, sgmlspl, docbook, libcap-dev, libgnutls-openssl-dev
 Vcs-Git: git://git.debian.org/collab-maint/iputils.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/iputils.git;a=summary
 
@@ -12,9 +11,8 @@
 Architecture: any
 Provides: ping
 Priority: important
-Conflicts: ping, suidmanager (<< 0.50)
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: netbase (<< 4.00)
+Recommends: libcap2-bin
 Description: Tools to test the reachability of network hosts
  The ping command sends ICMP ECHO_REQUEST packets to a host in order to
  test if the host is reachable via the network.
@@ -27,8 +25,6 @@
 Suggests: traceroute
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: suidmanager (<< 0.50)
-Replaces: netbase (<< 4.00)
 Description: Tools to trace the network path to a remote host
  The tracepath utility is similar to the traceroute utility, but also
  attempts to discover the MTU of the path.
@@ -39,8 +35,8 @@
 Package: iputils-arping
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: suidmanager (<< 0.50), arping, iputils-ping (<<20001110-6)
-Replaces: netbase (<< 4.00)
+Recommends: libcap2-bin
+Conflicts: arping
 Description: Tool to send ICMP echo requests to an ARP address
  The arping command acts like the standard ping command except it pings
  a machine by its ARP address instead of its IP address.  It is typically

=== debian/rules ===
--- 
+++ 
@@ -3,25 +3,25 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export DEBIAN_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	CROSS :=
-else
-	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
-endif
 
 configure:
 	dh_testdir
 
-build: configure
+build-arch: configure
 	dh_testdir
+	$(MAKE)
 
-	$(MAKE) $(CROSS)
+build-indep: configure
+	dh_testdir
 	$(MAKE) -C doc man
+
+build: build-arch build-indep
 
 clean:
 	dh_testdir
@@ -92,11 +92,11 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	chmod 4755 debian/iputils-ping/bin/ping
-	chmod 4755 debian/iputils-ping/bin/ping6
-	chmod 4755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
-	chmod 4755 debian/iputils-arping/usr/bin/arping
-	chmod 4755 debian/iputils-clockdiff/usr/bin/clockdiff
+	chmod 755 debian/iputils-ping/bin/ping
+	chmod 755 debian/iputils-ping/bin/ping6
+	chmod 755 debian/iputils-tracepath/usr/bin/traceroute6.iputils
+	chmod 755 debian/iputils-arping/usr/bin/arping
+	chmod 755 debian/iputils-clockdiff/usr/bin/clockdiff
 	ln -sf ping.8.gz debian/iputils-ping/usr/share/man/man8/ping6.8.gz
 	ln -sf tracepath.8.gz debian/iputils-tracepath/usr/share/man/man8/tracepath6.8.gz
 	dh_installdeb
